Sign a contractor documentCopy Pageput https://api.gusto-demo.com/v1/documents/{document_uuid}/signSign a contractor document. scope: contractor_documents:writePath Paramsdocument_uuidstringrequiredThe UUID of the documentBody Paramsfieldsarray of objectsrequiredList of fields and the values they will be set to.fields*ADD objectagreebooleanrequiredWhether you agree to sign electronicallytruefalsesigned_by_ip_addressstringThe IP address of the signatory who signed the form. You must provide the IP address with either this parameter OR you can leave out this parameter and set the IP address in the request header using the x-gusto-client-ip header instead.HeadersX-Gusto-API-VersionstringenumDefaults to 2026-02-01Determines the date-based API version associated with your API call. If none is provided, your application's minimum API version is used.2026-02-01Allowed:2026-02-01x-gusto-client-ipstringOptional header to supply the IP address. This can be used to supply the IP address for signature endpoints instead of the signed_by_ip_address parameter.Responses 200Example response 404Not Found The requested resource does not exist. Make sure the provided UUID is valid. 422Unprocessable Entity This may happen when the body of your request contains errors such as invalid_attribute_value, or the request fails due to an invalid_operation. See the Errors Categories guide for more details.Updated 26 days ago